#!/bin/bash

set -e

. /usr/share/debconf/confmodule

if [ -n "$DEBIAN_SCRIPT_DEBUG" ]; then set -v -x; DEBIAN_SCRIPT_TRACE=1; fi
${DEBIAN_SCRIPT_TRACE:+ echo "#42#DEBUG# RUNNING $0 $*" 1>&2 }

CNF=/etc/mysql/my.cnf

# Beware that there are two ypwhich one of them needs the 2>/dev/null!
if test -n "`which ypwhich 2>/dev/null`"  &&  ypwhich >/dev/null 2>&1; then
  db_input high mysql-server-5.6/nis_warning || true
  db_go
fi

# only ask this question on fresh installs, during "reconfiguration" and when 
# not upgrading from an existing 5.0 installation.
# there is also an additional check for empty root passwords in the
# postinst script when the tools are available for us to use.
if [ "$1" = "configure" ] && ([ -z "$2" ] && [ ! -e "/var/lib/mysql/debian-5.0.flag" ] ) || [ "$1" = "reconfigure" ]; then
  while :; do
    RET=""
    db_input high mysql-server/root_password || true
    db_go
    db_get mysql-server/root_password
    # if password isn't empty we ask for password verification
    if [ -z "$RET" ]; then
      db_fset mysql-server/root_password seen false
      db_fset mysql-server/root_password_again seen false
      break
    fi
    ROOT_PW="$RET"
    db_input high mysql-server/root_password_again || true
    db_go
    db_get mysql-server/root_password_again
    if [ "$RET" == "$ROOT_PW" ]; then
      ROOT_PW=''
      break
    fi
    db_fset mysql-server/password_mismatch seen false
    db_input critical mysql-server/password_mismatch
    db_set mysql-server/root_password "" 
    db_set mysql-server/root_password_again ""
    db_go
  done
fi
